---
search:
  tags:
    - Owner
    - POST
seo:
  description: >-
    Freeze or unfreeze an agent. Reference for the POST
    /v1/owner/agents/{id}/freeze endpoint in the agentsub Gateway API.
sidebar:
  label: Freeze or unfreeze an agent
  badge: POST
title: Freeze or unfreeze an agent
type: openapi-operation
---
`POST /v1/owner/agents/{id}/freeze`

**Request body** (`application/json`, required)

- `frozen` (boolean, required)

Request body example:

```json
{
  "frozen": true
}
```

**Responses**

- `200` — Updated agent
- `400` — \`invalid\_input\` problem
- `401` — \`unauthorized\` problem; live 401s advertise \`WWW-Authenticate: Bearer resource\_metadata=...\`
- `503` — Runtime or provider configuration unavailable (\`runtime\_configuration\_required\`, \`signing\_configuration\_required\`, \`runtime\_unavailable\`, \`workspace\_unavailable\`, \`provider\_configuration\_required\`)

Response example, 200:

```json
{
  "agent": {
    "id": "string",
    "ownerId": "string",
    "name": "string",
    "status": "active",
    "caps": {
      "perTxMaxUc": "string",
      "dailyMaxUc": "string",
      "monthlyMaxUc": "string",
      "allowedAcceptors": [
        "string"
      ],
      "allowedCategories": [
        "string"
      ]
    },
    "profile": {
      "name": "string",
      "preset": "letter",
      "color": "string"
    }
  }
}
```
